Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.oai
Interface OAIRecord

All Superinterfaces:
  org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, org.xml.sax.ext.LexicalHandler, org.apache.avalon.framework.logger.LogEnabled, OAIObject, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

All Known Implementing Classes:
  DocumentBaseOAIRecord, OAIRecordImpl

    public interface OAIRecord

extends OAIObject

Nested Class Summary

Nested classes/interfaces inherited from interface fr.gouv.culture.oai.OAIObject
`OAIObject.Node`

Field Summary

Fields inherited from interface fr.gouv.culture.oai.OAIObject
`HTTP_HEADER_NAME_FROM, HTTP_HEADER_NAME_USER_AGENT, NUMBER_RECORDS_PER_RESPONSE, STRING_DATEFORMAT_GRANULARITY_DAY, STRING_DATEFORMAT_GRANULARITY_SECOND`

Method Summary
`void` | `about()`
`void` | `addSetSpec(java.lang.String setSpec)`
`void` | `datestamp()`
`org.apache.excalibur.source.Source` | `getAbout()`
`java.lang.String` | `getDatestamp()`
`java.lang.String` | `getIdentifier()`
`OAIMetadataFormat` | `getMetaDataFormat()`
`java.lang.String` | `getOAINamspace()`
`org.apache.excalibur.source.Source` | `getRecord()`
`java.util.Enumeration` | `getSetSpecs()`
`void` | `header()`
`void` | `identifier()`
`boolean` | `isDeleted()`
`void` | `metadata()`
`void` | `record()`
`void` | `setAbout(org.apache.excalibur.source.Source source)`
`void` | `setDatestamp(java.lang.String datestamp)`
`void` | `setIdentifier(java.lang.String identifier)`
`void` | `setIsDeleted(boolean isDeleted)`
`void` | `setMetadataFormat(OAIMetadataFormat format)`
`void` | `setOAINamspace(java.lang.String namespace)`
`void` | `setRecord(org.apache.excalibur.source.Source source)`
`void` | `setSetSpecs(java.util.Vector setSpecs)`
`void` | `setSpecs()`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Method Detail

### setOAINamspace

    void setOAINamspace(java.lang.String namespace)

### getOAINamspace

    java.lang.String getOAINamspace()

### getIdentifier

    java.lang.String getIdentifier()

### setIdentifier

    void setIdentifier(java.lang.String identifier)

### identifier

    void identifier()
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getDatestamp

    java.lang.String getDatestamp()

### setDatestamp

    void setDatestamp(java.lang.String datestamp)

### datestamp

    void datestamp()
                   throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### addSetSpec

    void addSetSpec(java.lang.String setSpec)

### setSetSpecs

    void setSetSpecs(java.util.Vector setSpecs)

### getSetSpecs

    java.util.Enumeration getSetSpecs()

### setSpecs

    void setSpecs()
                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### setMetadataFormat

    void setMetadataFormat(OAIMetadataFormat format)

### getMetaDataFormat

    OAIMetadataFormat getMetaDataFormat()

### setIsDeleted

    void setIsDeleted(boolean isDeleted)

### isDeleted

    boolean isDeleted()

### setRecord

    void setRecord(org.apache.excalibur.source.Source source)

### getRecord

    org.apache.excalibur.source.Source getRecord()

### setAbout

    void setAbout(org.apache.excalibur.source.Source source)

### getAbout

    org.apache.excalibur.source.Source getAbout()

### header

    void header()
                throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### metadata

    void metadata()
                  throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### about

    void about()
               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### record

    void record()
                throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.